| Home | Libraries | People | FAQ | More

## Struct template is_mpi_integer_datatype

boost::mpi::is_mpi_integer_datatype — Type trait that determines if there exists a built-in integer MPI data type for a given C++ type.

## Synopsis

    // In header: <boost/mpi/datatype.hpp>

    template<typename T>
    struct is_mpi_integer_datatype {
    };

## Description

This ytpe trait determines when there is a direct mapping from a C++ type to an MPI data type that is classified as an integer data type. See `is_mpi_builtin_datatype` for general information about built-in MPI data types.